> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge base

> Returns all knowladge base from the system that the user has access to



## OpenAPI

````yaml GET /knowledgeBase/list
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /knowledgeBase/list:
    get:
      description: Returns all knowladge base from the system that the user has access to
      responses:
        '200':
          description: Knowladge base response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KnowledgeBase'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    KnowledgeBase:
      required:
        - title
        - language
        - data
      type: object
      properties:
        title:
          description: Knowledge base title.
          type: string
        language:
          description: Knowledge base language.
          enum:
            - en
          type: string
        data:
          description: Question answer array
          type: array
          items:
            type: object
            properties:
              question:
                type: string
                description: Question of knowladge base
              answer:
                type: string
                description: Answer of knowladge base
            required:
              - question
              - answer
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````